extends HBoxContainer

@onready var buttons = get_children()

func disable_buttons():
	## Disable all buttons
	for button in buttons:
		button.disabled = true

	visible = false

func enable_buttons():
	## Enable all buttons
	for button in buttons:
		button.disabled = false

	visible = true

func reset_button_focus():
	## Reset focus on all buttons
	for button in buttons:
		button.release_focus()
	